#include <iostream>
using namespace std;

int main() {
    unsigned int N,L;
    cin >> N >> L;
    unsigned int H[N];
    for(int i = 0; i<N; i++){
        cin >> H[i];
    }
    int r = -1;
    for(int i = 0; i<N; i++){
        if(H[i] <= L){
            r = i+1;
            break;
        }
    }
    cout << r;
    return 0;
}